Bug 28298 - DBRev 19.12.00.076 broken
Summary: DBRev 19.12.00.076 broken
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low blocker (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 27842
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-07 07:50 UTC by Alex Arnaud
Modified: 2021-05-25 14:29 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.06,20.05.12


Attachments
Bug 28298: fix DB update 19.12.00.076 (1.98 KB, patch)
2021-05-07 07:58 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 28298: fix DB update 19.12.00.076 (2.04 KB, patch)
2021-05-07 11:26 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2021-05-07 07:50:12 UTC
Bug 27842 seems to break the updatedb 19.12.00.076:

"UPDATE serial JOIN subscription USING (subcriptionid) SET serial.biblionumber = subscription.biblionumber WHERE serial.biblionumber != subscription.biblionumber"

Missing a 'S' on subcriptionid.
Comment 1 Alex Arnaud 2021-05-07 07:58:38 UTC
Created attachment 120660 [details] [review]
Bug 28298: fix DB update 19.12.00.076
Comment 2 Alex Arnaud 2021-05-07 08:02:05 UTC
test plan:
  - start with a DB version prior to 19.11,
  - launch installer/data/mysql/updatedatabase.pl,
  => update fails at 19.12.00.076
  - apply this patch,
  - try again
Comment 3 Nick Clemens 2021-05-07 11:26:13 UTC
Created attachment 120680 [details] [review]
Bug 28298: fix DB update 19.12.00.076

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2021-05-07 11:26:31 UTC
Straightforward fix for a typo, Passing QA
Comment 5 Jonathan Druart 2021-05-07 12:42:01 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-05-12 14:00:23 UTC
Pushed to 20.11.x for 20.11.06
Comment 7 Andrew Fuerste-Henry 2021-05-25 12:15:51 UTC
Pushed to 20.05.x for 20.05.12
Comment 8 Victor Grousset/tuxayo 2021-05-25 14:29:46 UTC
Missing dependencies for 19.11.x, it shouldn't be affected, no backport.

Bullet dodged!